IE 8 beta

I believe Defence+ is blocking my trys to install IE8 beta, cuz i can see in my register that i only have IE 7 installed.
How do i make it accept IE 8 ?

If your doing an install then put Comodo in install mode. Warning to you. IE8 is BETA. Use at your own risk.